summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0040mark_shift_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0040mark_shift_1')
-rwxr-xr-xtests/shell/testcases/chains/0040mark_shift_111
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0040mark_shift_1 b/tests/shell/testcases/chains/0040mark_shift_1
new file mode 100755
index 00000000..b609f5ef
--- /dev/null
+++ b/tests/shell/testcases/chains/0040mark_shift_1
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+RULESET="
+ add table t
+ add chain t c { type filter hook input priority mangle; }
+ add rule t c iif lo ct mark & 0xff 0x10 meta mark set ct mark >> 8
+"
+
+$NFT -f - <<< "$RULESET"